package com.thinker.main.util;

import org.apache.log4j.Logger;

import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

/**
 * Created by lzh on 16-6-13.
 */
public class BaseProperty {
    private static Properties prop;
    private static InputStream in;
    private static Logger log = Logger.getLogger(BaseProperty.class);
    static {
        prop = new Properties();
        log.info("加载配置文件");
        in = BaseProperty.class.getResourceAsStream(BaseProperty.class.getResource("/").getPath()+"/mybatis.properties");
        try {
            prop.load(in);
        } catch (IOException e) {
            e.printStackTrace();
        }finally {
            try {
                in.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public static String getMapping(){
        return prop.getProperty("mapping").trim();
    }

    public static String getMapper(){
        return prop.getProperty("mapper").trim();
    }

//    public static void main(String[] args) {
//        System.out.println(BaseProperty.getMapper());
//    }

}
